﻿<?php
	class Relatorios {
		private $ponteiro_arquivo; 
		private $analise_cabecalho; 
		private $cabecalho; 
		private $separador; 
		private $relatorio;
		
		function __construct($arquivo, $analise_cabecalho=false, $cabecalho=null, $separador="\t", $modo="WriteOnly", $ponteiro="Down")
		{
			try{
				switch($modo){
					case "WriteOnly":
						switch($ponteiro){
							case "Top":
								$this->ponteiro_arquivo = fopen($arquivo,"w");
								break;
							case "Down":
								$this->ponteiro_arquivo = fopen($arquivo,"a");
								break;
						}
						break;
					case "ReadAndWrite":
						switch($ponteiro){
							case "Top":
								$this->ponteiro_arquivo = fopen($arquivo,"w+");
								break;
							case "Down":
								$this->ponteiro_arquivo = fopen($arquivo,"a+");
								break;
						}
						break;
				}
				$this->analise_cabecalho = $analise_cabecalho;
				$this->cabecalho = $cabecalho;
				$this->separador = $separador;
				$this->relatorio = basename($arquivo,".csv");
			}
			catch(Exception $e){
				echo "Erro: ".$e->getMessage();
			}
		}
		
		function __destruct()
		{
			if ($this->ponteiro_arquivo) 
			{ 
				fclose($this->ponteiro_arquivo); 
			} 
		}
		
		function getRelatorio($info=null){
			fputcsv($this->ponteiro_arquivo,$this->cabecalho,$this->separador);
			$colunas = sizeof($info);
			for($c=0;$c<$colunas;$c++)
				fputcsv($this->ponteiro_arquivo,$info[$c],$this->separador);
		}
	}
?>