﻿<?php
	
	function GeradorTabelas($array,$tabela){
		$first = true;
		$htm = "";
		$htm .= "<table class='CatTable' cellpadding='2' cellspacing='0' border='1'>";
		foreach($array as $campo){
			$htm .= "<tr>";
			if($first){
				$first = false;
				$htm .= "<th colspan='".sizeof($campo)."'>$tabela</th></tr><tr>";
				foreach(array_keys($campo) as $coluna){
					$htm .= "<td class='TitleTD'>$coluna</td>";
				}
				$htm .= "</tr><tr>";
			}
			$cont = 0;
			foreach($campo as $info){
				$htm .= "<td>$info</td>";
				$cont++;
			}
			$htm .= "</tr>";
		}
		$htm .= "</table>";
		echo $htm;
	}
	
	function criaObjetos($strArray,$classe){
		$ObjArray = array();
		foreach($strArray as $linha){
			if(strcasecmp($classe,"clientes")==0){
				switch(trim($linha['Tipo de cliente'])){
					case "F":
						$$classe = new Fisico();
						break;
					case "J":
						$$classe = new Juridico();
						break;
				}
				foreach($linha as $campo => $valor){
					switch(trim($campo)){
						case "Código":
							$$classe->setId($valor);
							break;
						case "Nome":
							$$classe->setNome($valor);
							break;
						case "Endereço":
							$$classe->setEndereco($valor);
							break;
						case "Telefone":
							$$classe->setTelefone($valor);
							break;
						case "Data de cadastro":
							$$classe->setDataCadastro($valor);
							break;
						case "CPF/CNPJ":
							switch(trim($linha['Tipo de cliente'])){
								case "F":
									$$classe->setCPF($valor);
									break;
								case "J":
									$$classe->setCNPJ($valor);
									break;
							}
							break;
						case "Inscrição estadual":
							switch(trim($linha['Tipo de cliente'])){
								case "J":
									$$classe->setIE($valor);
									break;
							}
							break;
					}
				}
				$ObjArray[] = $$classe;
			}
			elseif(strcasecmp($classe,"compras")==0){
				$$classe = new ComprasFornecedor();
				foreach($linha as $campo => $valor){
					//echo $linha['Produto']."<br/>";
					switch(trim($campo)){
						case "Nota fiscal":
							$$classe->setNumeroNota($valor);
							break;
						case "Fornecedor":
							$$classe->setFornecedor($valor);
							break;
						case "Data da compra":
							$$classe->setDataCompra($valor);
							break;
						case "Produto":
							$$classe->setProduto($valor);
							break;
						case "Quantidade":
							$$classe->setQuantidade($valor);
							break;
					}
				}
				$ObjArray[] = $$classe;
			}
			elseif(strcasecmp($classe,"fornecedores")==0){
				$$classe = new Fornecedor();
				foreach($linha as $campo => $valor){
					switch(trim($campo)){
						case "Código":
							$$classe->setId($valor);
							break;
						case "Nome":
							$$classe->setNome($valor);
							break;
						case "Endereço":
							$$classe->setEndereco($valor);
							break;
						case "Telefone":
							$$classe->setTelefone($valor);
							break;
						case "CNPJ":
							$$classe->setCNPJ($valor);
							break;
						case "Pessoa de contato":
							$$classe->setContato($valor);
							break;
					}
				}
				$ObjArray[] = $$classe;
			}
			elseif(strcasecmp($classe,"produtos")==0){
				$$classe = new Produto();
				foreach($linha as $campo => $valor){
					switch(trim($campo)){
						case "Código":
							$$classe->setCodigo($valor);
							break;
						case "Descrição":
							$$classe->setDescricao($valor);
							break;
						case "Estoque mínimo":
							$$classe->setEstoqueMinimo($valor);
							break;
						case "Estoque atual":
							$$classe->setEstoqueAtual($valor);
							break;
						case "Valor de custo":
							$$classe->setValorCusto($valor);
							break;
						case "Percentual de lucro":
							$$classe->setPercentualLucro($valor);
							break;
					}
				}
				$ObjArray[] = $$classe;
			}
			elseif(strcasecmp($classe,"vendas")==0){
				if(strcasecmp(trim($linha['Modo de pagamento']),"F")==0){
					$$classe = new VendasCliente();
					foreach($linha as $campo => $valor){
						switch(trim($campo)){
							case "Cliente":
								$$classe->setCliente($valor);
								break;
							case "Data de venda":
								$$classe->setDataVenda($valor);
								break;
							case "Produto":
								$$classe->setProduto($valor);
								break;
							case "Quantidade":
								$$classe->setQuantidade($valor);
								break;
							case "Modo de pagamento":
								$$classe->setFormaPagamento($valor);
								break;
						}
					}
				}
				$ObjArray[] = $$classe;
			}
		}
		return $ObjArray;
	}
	
	function imprimirArray($array){
		print "<pre>";
		print_r($array);
		print "</pre>";
	}
?>